/*
 * CommandLineParser_ActionRegistry_ConsistenyUnitTest.cpp.hpp
 *
 *  Created on: Nov 25, 2009
 *      Author: heber
 */

#ifndef COMMANDLINEPARSER_ACTIONREGISTRY_CONSISTENCYUNITTEST_HPP_
#define COMMANDLINEPARSER_ACTIONREGISTRY_CONSISTENCYUNITTEST_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include <cppunit/extensions/HelperMacros.h>


class ActionRegistry;
class CommandLineParser;

/********************************************** Test classes **************************************/

class CommandLineParser_ActionRegistry_ConsistenyTest : public CppUnit::TestFixture
{
    CPPUNIT_TEST_SUITE( CommandLineParser_ActionRegistry_ConsistenyTest) ;
    CPPUNIT_TEST ( ConsistencyCheck );
    CPPUNIT_TEST_SUITE_END();

public:
      void setUp();
      void tearDown();
      void ConsistencyCheck();

private:
      ActionRegistry *AR;
      CommandLineParser *CLP;
};

#endif /* COMMANDLINEPARSER_ACTIONREGISTRY_CONSISTENCYUNITTEST_HPP_ */
